
@font-face {
    font-family: century-gothic;
    src: url('../fonts/centurygothic.ttf');
}

@font-face {
    font-family: century-gothic-bold;
    src: url('../fonts/centurygothic_bold.ttf');
}

.services-icons-widget-wrapper {
    width: 100%;
    height: fit-content;
    display: inline-grid;
    justify-content: center;
}

.service-items-wrapper {
    justify-content: space-around;
    display: flex;
    flex-wrap: wrap;
    width: 1008vw;
}

.service-items-wrapper::before {
    content: "Hover for more info!";
    position: absolute;
    top: -18px;
    left: 50%;
    transform: translatex(-50%);
    color: #12121265;
    font-family: century-gothic;
    font-size: 1.9rem;
    text-align: center;
    width: fit-content;
    text-wrap: nowrap;
    justify-self: center;
    margin: auto 0;
}

@media screen and (max-width: 860px) {
    .service-items-wrapper {
        justify-content: space-around;
        width: fit-content;
        flex-direction: column;
        height: 1000px;
        margin-top: -15px;
    }
    .service-items-wrapper::before {
        content: "Tap for more info!";
        color: #00000064;
        font-family: century-gothic;
    }
}

.service-item-wrapper {
    display: grid;
    margin-left: clamp(9px, 3vw, 10px);
    margin-right: clamp(9px, 3vw, 12px);
    position: relative;
    width: fit-content;
    min-width: 15%;
    padding: 10%, 0px;
    transition: all 2s ease;
    visibility: hidden;
    isolation: isolate;
    justify-content: center;
    transition: z-index 0s;
}

.service-item-wrapper:root {
    --before-height: fit-content;
    --before-opacity: 0;
    --before-transform: translate(-50%, -30%);
    --before-padding-top: 60%;
    --before-padding-bottom: 20px;
}

.service-item-wrapper::before {
    position: absolute;
    display: flex;
    width: 150%;
    top: 80%;
    left: 50%;
    background-color: rgba(255, 255, 255, 0.7);
    backdrop-filter: blur(2.5px); 
    padding: 20px;
    border-radius: 20px;
    justify-content: center;
    text-align: left;
    line-height: 1.1rem;
    font-family: century-gothic;
    font-weight: 600;
    font-size: medium;
    transition: opacity 0.6s ease, transform 0.6s ease, padding-top 0.6s ease;
    filter: drop-shadow(5px 5px 14px #0000002f);
    z-index: 0;
    
    transform: var(--before-transform);
    padding-bottom: var(--before-padding-bottom);
    padding-top: var(--before-padding-top);
    opacity: var(--before-opacity);
    content: var(--before-content);
    height: var(--before-height);
}


.service-icon-container {
    height: clamp(65px, 5vw, 150px);
    margin-top: 30px;
    align-self: end;
    display: flex;
    position: relative;
    justify-content: center;
    align-items: center;
    align-self: flex-start;
}

.service-icon {
    aspect-ratio: auto;
    width: clamp(70px, 5vw, 150px);
    height: fit-content;
    max-height: 60px;
    margin-top: -50px;
    display: block;
    object-fit:contain;
    overflow: visible;
    transition: transform 0.6s ease, filter 0.5s ease;
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    margin: auto;
}

.icon-hover-fx {
    filter: drop-shadow(2.5px 2.5px 5.25px #00000036);
    transform: scale(1.05);
}

.service-caption {
    text-align: center;
    justify-self: center;
    font-family: century-gothic-bold;
    font-size: 1.4rem;
    margin-top: clamp(10px, calc(90px - 6vw), 15px);
    text-wrap: nowrap;
    position: relative;
    min-width: 190px;
    max-width: 190px;
}

.service-read-more-link {
    width: 100%;
    position: absolute;
    justify-self: center;
    text-align: center;
    color: blue;
    font-weight: 600;
    font-size: 1.2rem;
    cursor: pointer;
    z-index: 100;
    transition: opacity 0.6s ease;
    opacity: 0;

}

.service-read-more-link:focus {
    border: 0px transparent!important;
}